# Posts: get

Retrieves one post by post ID.
[Try it now](https://developers.google.com/blogger/docs/3.0/reference/posts/get#try-it) or [see an example](https://developers.google.com/blogger/docs/3.0/reference/posts/get#examples).

[Authorization](https://developers.google.com/blogger/docs/3.0/using#auth) is required if the post is on a blog that is private. If the post is on a blog that is public, then this method can be called without authorization.

## Request

### HTTP request

```
GET https://www.googleapis.com/blogger/v3/blogs/blogId/posts/postId
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Required parameters** |||
| `blogId` | `string` | The ID of the blog to fetch the post from. |
| `postId` | `string` | The ID of the post. |
| **Optional parameters** |||
| `maxComments` | `unsigned integer` | Maximum number of comments to retrieve as part of the the post resource. If this parameter is left unspecified, then no comments will be returned. |
| `view` | `string` | Acceptable values are: - "`ADMIN`": Admin level detail - "`AUTHOR`": Author level detail - "`READER`": Admin level detail |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a [Posts resource](https://developers.google.com/blogger/docs/3.0/reference/posts#resource) in the response body.

## Examples

**Note:** The code examples available for this method do not represent all supported programming languages (see the [client libraries page](https://developers.google.com/blogger/docs/3.0/libraries) for a list of supported languages).

### Java

Uses the [Java client library](http://code.google.com/p/google-api-java-client/)

```java
// The BlogId for the http://buzz.blogger.com/ blog.
String BUZZ_BLOG_ID = "2399953";

// The PostId for a buzz post with comments.
String BUZZ_POST_ID = "5310628572012276714";

// Configure the Java API Client for Installed Native App
HttpTransport HTTP_TRANSPORT = new NetHttpTransport();
JsonFactory JSON_FACTORY = new JacksonFactory();

// Configure the Installed App OAuth2 flow.
Credential credential = OAuth2Native.authorize(HTTP_TRANSPORT,
	JSON_FACTORY, new LocalServerReceiver(),
	Arrays.asList(BloggerScopes.BLOGGER));

// Construct the Blogger API access facade object.
Blogger blogger = Blogger.builder(HTTP_TRANSPORT, JSON_FACTORY)
	.setApplicationName("Blogger-PostsGet-Snippet/1.0")
	.setHttpRequestInitializer(credential).build();

// The request action.
Get postsGetAction = blogger.posts().get(BUZZ_BLOG_ID, BUZZ_POST_ID);

// Restrict the result content to just the data we need.
postsGetAction.setFields("author/displayName,content,published,title,url");

// This step sends the request to the server.
Post post = postsGetAction.execute();

// Now we can navigate the response.
System.out.println("Title: " + post.getTitle());
System.out.println("Author: " + post.getAuthor().getDisplayName());
System.out.println("Published: " + post.getPublished());
System.out.println("URL: " + post.getUrl());
System.out.println("Content: " + post.getContent());
```

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.